package com.yeejoin.amos.fas.business.vo;

import java.io.Serializable;
import java.util.Date;

import org.springframework.data.annotation.Id;

//@Document(collection = "EquipCommunicationData")
public class EquipCommunicationData implements Serializable{
	/**
	 * 
	 */
	private static final long serialVersionUID = -1248590940109397752L;
	@Id
	private String id;
	private String informationAddress; //转发码
//	@Indexed
	private int soe;
	private String state; // 值
	private String unit;
	private String serviceId; //服务ID
	private int isInvalid; // 是否有效
//	@Indexed
	private String pointCode;
	private String pointName;
//	@Indexed
//    private String equimentId;
//    private String equimentName;
    
    private String type;
    
    private String alarmType;
//    @Indexed
    private String fireEquipmentId;
    private String fireEquipmentName;
    private String fireEquipmentCode;
    
    
//    @Indexed
    private Date recDate;
    
	public String getInformationAddress() {
		return informationAddress;
	}
	public void setInformationAddress(String informationAddress) {
		this.informationAddress = informationAddress;
	}
	public int getSoe() {
		return soe;
	}
	public void setSoe(int soe) {
		this.soe = soe;
	}
	public String getState() {
		return state;
	}
	public void setState(String state) {
		this.state = state;
	}
	public String getServiceId() {
		return serviceId;
	}
	public void setServiceId(String serviceId) {
		this.serviceId = serviceId;
	}
	public int getIsInvalid() {
		return isInvalid;
	}
	public void setIsInvalid(int isInvalid) {
		this.isInvalid = isInvalid;
	}
	public String getPointCode() {
		return pointCode;
	}
	public void setPointCode(String pointCode) {
		this.pointCode = pointCode;
	}

	public Date getRecDate() {
		return recDate;
	}
	public void setRecDate(Date recDate) {
		this.recDate = recDate;
	}
	public String getPointName() {
		return pointName;
	}
	public void setPointName(String pointName) {
		this.pointName = pointName;
	}

	public String getId() {
		return id;
	}
	public void setId(String id) {
		this.id = id;
	}
	public String getUnit() {
		return unit;
	}
	public void setUnit(String unit) {
		this.unit = unit;
	}
	public String getType() {
		return type;
	}
	public void setType(String type) {
		this.type = type;
	}
	public String getAlarmType() {
		return alarmType;
	}
	public void setAlarmType(String alarmType) {
		this.alarmType = alarmType;
	}
	public String getFireEquipmentId() {
		return fireEquipmentId;
	}
	public void setFireEquipmentId(String fireEquipmentId) {
		this.fireEquipmentId = fireEquipmentId;
	}
	public String getFireEquipmentName() {
		return fireEquipmentName;
	}
	public void setFireEquipmentName(String fireEquipmentName) {
		this.fireEquipmentName = fireEquipmentName;
	}
	public String getFireEquipmentCode() {
		return fireEquipmentCode;
	}
	public void setFireEquipmentCode(String fireEquipmentCode) {
		this.fireEquipmentCode = fireEquipmentCode;
	}
}
